
Tvheadend supports multiple different fanart grabbers/providers, and
can be extended with third-party grabbers.

Grabbers frequently require additional options such as "api keys",
which are generated by registering at the appropriate site.

If you do not register and provide the api keys then the
fanart grabber will fail.

Modules that are supplied with Tvheadend are listed below.

Module | Extra Arguments                | Description
:-----:|--------------------------------|------------
tmdb   | `--tmdb-key ABC`               | Key from [tmdb.org](https://www.themoviedb.org/account/signup) (Movies)
tvdb   | `--tvdb-key ABC`               | Key from [thetvdb.com](https://www.thetvdb.com/login) (TV Series)
tvdb   | `--tvdb-languages en,sv,hu,de` | Languages to use for searching for episode.

Fanart grabbers only work correctly if your scrapper provides
high quality information. In particular, they require season
and episode details for series, and year details for movies.

Even with these details, fanart grabbers can sometimes return
incorrect results.

Optional extra arguments can be supplied to alter behaviour.
Notable arguments are below:

Argument          | Description
:----------------:| -------------
`--debug`         | Provide extra level of debugging information
`--modules-tv`    | Advanced option specifying a csv of tv modules to use.
`--modules-movie` | Advanced option specifying a csv of movie modules to use.
